# application



# embedded server



# datasource
spring.datasource.url=jdbc:mysql://rm-wz91301o191xp4d1z.mysql.rds.aliyuncs.com/welfaredata?autoReconnect=true&useUnicode=true&characterEncoding=UTF-8&zeroDateTimeBehavior=convertToNull&tinyInt1isBit=false&useSSL=false&serverTimezone=Asia/Shanghai
spring.datasource.username=chaojiqiantai2
spring.datasource.password=@octlife202006


#spring-boot-starter-data-redis



# redis
spring.redis.host=127.0.0.1
spring.redis.port=6379
spring.redis.database=0
spring.redis.password=
spring.redis.timeout=60000ms

#SpringBoot 2.X版本整合 Redis时，偶尔出现连接超时情况 2.x 版本自带的Redis客户端是 lettuce
spring.redis.jedis.pool.minIdle=0
spring.redis.jedis.pool.maxIdle=8
spring.redis.jedis.pool.maxWait=-1
spring.redis.jedis.pool.maxActive=8


# mybatis & pagehelper

#mybatis.configuration.lazy-loading-enabled=true
#mybatis.configuration.use-generated-keys=true
#mybatis.configuration.default-executor-type=reuse
#mybatis.configuration.default-statement-timeout=30
#mybatis.configuration.map-underscore-to-camel-case=true
#mybatis.configuration.auto-mapping-behavior=full


# mybatis plugins


#弃用? start
# dubbo && zookeeper
#spring.dubbo.application.name=provider
#spring.dubbo.registry.address=zookeeper://127.0.0.1:2181
#spring.dubbo.protocol.name=dubbo
#spring.dubbo.protocol.port=20880
#spring.dubbo.provider.retries=0
#spring.dubbo.provider.timeout=10000
#弃用? start


# Dubbo Registry
dubbo.registry.address=zookeeper://127.0.0.1:2181


# Dubbo Protocol
dubbo.application.name=provider
dubbo.protocol.name=dubbo
dubbo.protocol.port=20880
dubbo.provider.retries=0
dubbo.provider.timeout=30000




# push message url & h5 url
pushMessage.orgId=627
pushMessage.url=http://superdesk.avic-s.com/super_service/wechat/pushmsgout/phonemsg
h5.url=http://120.79.31.216/avicfile/ordermanger/h5/#/